path: /build/build/rust-virtual-1.78.0.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    emerge -j ${JOBS} virtual/rust -pv -t && \
    emerge -j ${JOBS} --nodeps virtual/rust
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rust && luet-portage --dir /pkgdir/rust
    virtual/rust && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:8e1777466a439eb3d1545e8560a28acd892daac1d6c66e57728634785355fc2a
  package:
    name: rust
    version: 1.78.0
    category: virtual
    requires:
    - name: wheel
      version: '>=0'
      category: dev-python
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: Virtual for Rust language compiler
    uri:
    - ""
    buildtimestamp: 2024-05-20 06:59:04.493250845 +0000 UTC m=+344.806769565
    labels:
      IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
        abi_s390_32 abi_s390_64
      RDEPEND: '|| ( ~dev-lang/rust-bin-1.78.0[-mgorny(-)] ~dev-lang/rust-1.78.0[-mgorny(-)]
        )'
      emerge.packages: virtual/rust
      kit: lang-kit
      original.package.name: virtual/rust
      original.package.slot: "0"
      original.package.version: 1.78.0
    treedir: /build/packages
  package_dir: /pkgdir/rust
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: d1687ca05a1694ed24ee9342cb3aa78e45d565ccb7658991b115481e52de17d5
compressiontype: zstd
files:
- var/db/pkg/virtual/rust-1.78.0/BUILD_TIME
- var/db/pkg/virtual/rust-1.78.0/CATEGORY
- var/db/pkg/virtual/rust-1.78.0/CBUILD
- var/db/pkg/virtual/rust-1.78.0/CFLAGS
- var/db/pkg/virtual/rust-1.78.0/CHOST
- var/db/pkg/virtual/rust-1.78.0/COUNTER
- var/db/pkg/virtual/rust-1.78.0/CXXFLAGS
- var/db/pkg/virtual/rust-1.78.0/DEFINED_PHASES
- var/db/pkg/virtual/rust-1.78.0/DESCRIPTION
- var/db/pkg/virtual/rust-1.78.0/EAPI
- var/db/pkg/virtual/rust-1.78.0/FEATURES
- var/db/pkg/virtual/rust-1.78.0/INHERITED
- var/db/pkg/virtual/rust-1.78.0/IUSE
- var/db/pkg/virtual/rust-1.78.0/IUSE_EFFECTIVE
- var/db/pkg/virtual/rust-1.78.0/KEYWORDS
- var/db/pkg/virtual/rust-1.78.0/LDFLAGS
- var/db/pkg/virtual/rust-1.78.0/LICENSE
- var/db/pkg/virtual/rust-1.78.0/PF
- var/db/pkg/virtual/rust-1.78.0/RDEPEND
- var/db/pkg/virtual/rust-1.78.0/SIZE
- var/db/pkg/virtual/rust-1.78.0/SLOT
- var/db/pkg/virtual/rust-1.78.0/USE
- var/db/pkg/virtual/rust-1.78.0/environment.bz2
- var/db/pkg/virtual/rust-1.78.0/repository
- var/db/pkg/virtual/rust-1.78.0/rust-1.78.0.ebuild
package_cacheimage: ""
runtime:
  name: rust
  version: 1.78.0
  category: virtual
  requires:
  - name: rust-bin
    version: '>=0'
    category: dev-lang-stable
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: Virtual for Rust language compiler
  uri:
  - ""
  labels:
    IUSE: abi_x86_32 abi_x86_64 abi_x86_x32 abi_mips_n32 abi_mips_n64 abi_mips_o32
      abi_s390_32 abi_s390_64
    RDEPEND: '|| ( ~dev-lang/rust-bin-1.78.0[-mgorny(-)] ~dev-lang/rust-1.78.0[-mgorny(-)]
      )'
    emerge.packages: virtual/rust
    kit: lang-kit
    original.package.name: virtual/rust
    original.package.slot: "0"
    original.package.version: 1.78.0
